%define _build_lang uk_UA.KOI8-U

Name: iceb
Version: 5.60
Release: alt2

Summary: Free financial accounting system.
Group: Office
License: GPL
Url: http://www.iceb.vinnitsa.com/

Provides: iceB = %version-%release
Obsoletes: iceB

Source: %name-%version.tar.bz2
Source1: %name
Source3: %name.16.xpm
Source4: %name.32.xpm
Source5: %name.48.xpm

Patch1: iceb-locale.patch
Patch2: iceb-5.35-fix_test_messages_path.patch
Patch3: iceb-5.35-fix_compile.patch

# Automatically added by buildreq on Tue Sep 30 2003
BuildRequires: gcc-c++ glibc-devel-static libMySQL-devel libncurses-devel libstdc++-devel libtinfo-devel zlib-devel sgml-tools OpenSP

%description
Free financial accounting system.

%package doc-html
Group: Office
Summary: iceb documentation.
Requires: %name
Provides: iceB-doc-html = %version-%release
Obsoletes: iceB-doc-html

%description doc-html
This package include iceB documentation in html format.

%prep
%setup -q
#%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
%configure \
	--with-lang=ua \
	--with-lang-path=%_datadir/locale \
	--with-lock-dir=/var/lock/serial \
	--with-config-path=%_datadir/%name \
	--with-maxfkeys=10 \
	--with-gnu-ld

%make_build

%install
[ -z "$TMPDIR" ] && TMPDIR=/tmp
FAKEDIR=$TMPDIR/%{name}_tmp_install
mkdir -p $FAKEDIR

%makeinstall \
    CONFDIR=$FAKEDIR \
    ICEB_LANG_PATH=%buildroot/%_datadir/locale/uk \
    bindir=%buildroot/%_libdir/%name/bin \
    libdir=%buildroot/%_libdir/%name

rm -rf $FAKEDIR

%makeinstall CONFDIR=%buildroot/%_datadir/%name/iceb -C buhg/bx
%makeinstall CONFDIR=%buildroot/%_datadir/%name/doc -C buhg/doc

mkdir -p /%buildroot%_bindir
install -m 755 %SOURCE1 %buildroot/%_bindir

#install docs
%define htmldir %buildroot/%_docdir/%name-%version/html
mkdir -p %htmldir

cp {CHANGES,INSTALL} %buildroot/%_docdir/%name-%version

pushd buhg/doc
cp {buhg,dokum,kas,p,r,uos,usl,zarp}*.txt \
    {smenabaz,spec,start,local,matu}.txt \
    %htmldir
popd
util/icedoc2sgml.pl %htmldir
pushd %htmldir
    sgml2html iceB.sgml
    ln -s iceB.html index.html
    rm -f *.txt *.sgml
popd

mkdir -p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%name
?package(%name):command="%name" \
		  icon=%name.xpm \
		  needs="text" \
		  section="Applications/Finances" \
		  title="%name" \
		  longtitle="Free financial accounting system."
EOF
mkdir -p %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 644 %SOURCE3 %buildroot/%_miconsdir/%name.xpm
install -m 644 %SOURCE4 %buildroot/%_iconsdir/%name.xpm
install -m 644 %SOURCE5 %buildroot/%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus


%files
%dir %_docdir/%name-%version
%_docdir/%name-%version/CHANGES
%_docdir/%name-%version/INSTALL

%_bindir/%name
%_libdir/%name/bin
%_datadir/%name
%_menudir/%name
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm

%lang(uk) %_datadir/locale/uk/LC_MESSAGES/*.mo

%files doc-html
%_docdir/%name-%version/html

%changelog
* Fri Jun 18 2004 Sergey V Turchin <zerg at altlinux dot org> 5.60-alt2
- fix menu section

* Tue Feb 03 2004 Sergey V Turchin <zerg at altlinux dot org> 5.60-alt1
- new version

* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 5.35-alt2
- fix build requires

* Fri Sep 13 2002 Sergey V Turchin <zerg@altlinux.ru> 5.35-alt1
- new version
- byuld with gcc3.2

* Mon Apr 08 2002 Sergey V Turchin <zerg@altlinux.ru> 5.24-alt2
- add -doc-html package

* Fri Apr 05 2002 Sergey V Turchin <zerg@altlinux.ru> 5.24-alt1
- initial spec
